NAME
Tk_BackgroundError - report Tcl error that occurred in background processing

SYNOPSIS
#include <tk.h>

Tk_BackgroundError(interp)

ARGUMENTS
Interpreter in which the error occurred.

DESCRIPTION

This procedure is typically invoked when a Tcl error occurs during ``background processing'' such as executing a Tcl command in response to a button press or menu entry invocation. When such an error occurs, the error condition is reported to Tk or to a widget or some other C code, and there is not usually any obvious way for that code to report the error to the user. In these cases the code calls Tk_BackgroundError with an interp argument identifying the interpreter in which the error occurred. Tk_BackgroundError attempts to invoke the tkerror Tcl command to report the error in an application-specific fashion. If no tkerror command exists, or if it returns with an error condition, then Tk_BackgroundError reports the error itself by printing a message on the standard error file.

KEYWORDS
background, error, tkerror